org.apache.synapse.transport.http.access

## Class AccessTimeUtil

- java.lang.Object
- - org.apache.synapse.transport.http.access.AccessTimeUtil

-     public class AccessTimeUtil
      extends java.lang.Object

  Utility methods related to the Access Time

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessTimeUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAccessDate(java.util.Date date)`
    `static java.util.Date` | `getDate()` This method returns a Date object that is accurate to within one second.
    `static java.lang.String` | `getTimeZone()` gets the timezone +/-{****}}, offset from GMT,
    `static void` | `handleThrowable(java.lang.Throwable t)` Checks whether the supplied Throwable is one that needs to be re-thrown and swallows all others.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessTimeUtil

          public AccessTimeUtil()

  - ### Method Detail

    - #### getTimeZone

          public static java.lang.String getTimeZone()

      gets the timezone +/-{****}}, offset from GMT,
      Returns:
        String time zone (eg, +0530, -0600).

    - #### getDate

          public static java.util.Date getDate()

      This method returns a Date object that is accurate to within one second. If a thread calls this method to get a Date and it's been less than 1 second since a new Date was created, this method simply gives out the same Date again so that the system doesn't spend time creating Date objects unnecessarily.
      Returns:
        Date

    - #### getAccessDate

          public static java.lang.String getAccessDate(java.util.Date date)

    - #### handleThrowable

          public static void handleThrowable(java.lang.Throwable t)

      Checks whether the supplied Throwable is one that needs to be re-thrown and swallows all others.
      Parameters:
        `t` - the Throwable to check

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.